summaryrefslogtreecommitdiffstats
path: root/source/tcl/tk/tk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/tk/tk.SlackBuild')
-rwxr-xr-xsource/tcl/tk/tk.SlackBuild117
1 files changed, 117 insertions, 0 deletions
diff --git a/source/tcl/tk/tk.SlackBuild b/source/tcl/tk/tk.SlackBuild
new file mode 100755
index 000000000..90f191ceb
--- /dev/null
+++ b/source/tcl/tk/tk.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-8.5.7}
+# See also version number 8.5 in the symlinks below...)
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armel" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-tk
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf tk$VERSION
+tar xvf $CWD/tk$VERSION-src.tar.?z* || exit 1
+cd tk$VERSION || exit 1
+sed -i -e "s#^TK_LIBRARY='\$(prefix)/lib/#TK_LIBRARY='\$(libdir)/#" \
+ unix/configure
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/tk$VERSION
+cp -a README license.terms $PKG/usr/doc/tk$VERSION
+
+cd unix
+make clean
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared \
+ --enable-64bit \
+ --enable-man-symlinks \
+ --enable-man-compression=gzip \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Some sources require Tk's private headers, which might not be the
+# best thing but we'll include them where we've seen other teams
+# doing the same thing:
+mkdir -p $PKG/usr/include/tk-private/{generic,unix}
+cp -a ../generic/*.h $PKG/usr/include/tk-private/generic
+cp -a ../unix/*.h $PKG/usr/include/tk-private/unix
+( cd $PKG/usr/include/tk-private/generic
+ rm -f tk.h tkDecls.h tkPlatDecls.h
+ ln -sf ../../tk.h .
+ ln -sf ../../tkDecls.h .
+ ln -sf ../../tkPlatDecls.h
+ for file in $(ls ../unix/*.h) ; do ln -sf $file ; done
+)
+
+( cd $PKG/usr/bin
+ rm -f wish
+ ln -sf wish8.5 wish
+)
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ rm -f libtk.so
+ ln -sf libtk8.5.so libtk.so
+)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/tk-$VERSION-$ARCH-$BUILD.txz
+